Web lists-archives.com

[Samba] Issue while upgrading from 4.4.4 to 4.7.7




Hi ...,

I am trying to upgrade from Samba 4.4.4 to Samba 4.7.7 and I am facing an
error similar to the one mentioned here -

https://bugzilla.samba.org/show_bug.cgi?id=12297
https://bugzilla.samba.org/show_bug.cgi?id=12385

I get the following error message *every time* I run -
samba-tool dbcheck --cross-ncs --fix --yes
------------------------------------------------------------------------------------------------------
.
.
.
CN=Sxxxxxx Sxxxxx,CN=Users,DC=axxxxxx,DC=local: 0x00000003
CN=Sxxxxxx Sxxxxx,CN=Users,DC=axxxxxx,DC=local: 0x00000000
ERROR: unsorted attributeID values in replPropertyMetaData on CN=Sxxxxxx
Sxxxxx,CN=Users,DC=axxxxxx,DC=local

Fix replPropertyMetaData on CN=Sxxxxxx Sxxxxx,CN=Users,DC=axxxxxx,DC=local
by sorting the attribute list? [YES]
Fixed attribute 'replPropertyMetaData' of 'CN=Sxxxxxx
Sxxxxx,CN=Users,DC=axxxxxx,DC=local'


.
.
.

CN=ADS,CN=Topology,CN=Domain System
Volume,CN=DFSR-GlobalSettings,CN=System,DC=axxxxxx,DC=local: 0x00000003
CN=ADS,CN=Topology,CN=Domain System
Volume,CN=DFSR-GlobalSettings,CN=System,DC=axxxxxx,DC=local: 0x00000000
ERROR: unsorted attributeID values in replPropertyMetaData on
CN=ADS,CN=Topology,CN=Domain System
Volume,CN=DFSR-GlobalSettings,CN=System,DC=axxxxxx,DC=local

Fix replPropertyMetaData on CN=ADS,CN=Topology,CN=Domain System
Volume,CN=DFSR-GlobalSettings,CN=System,DC=axxxxxx,DC=local by sorting the
attribute list? [YES]
ERROR: Failed to fix attribute replPropertyMetaData : (65,
"objectclass_attrs: at least one mandatory attribute
('msDFSR-ComputerReference') on entry 'CN=ADS,CN=Topology,CN=Domain System
Volume,CN=DFSR-GlobalSettings,CN=System,DC=axxxxxx,DC=local' wasn't
specified!")
------------------------------------------------------------------------------------------------------
I have ran the command many times ...it just does not fix it.

*System Details:*

Existing AD and ADC -
OS: CentOS 6.5
Samba: 4.4.4

Upgrading to AD and ADC -
OS: CentOS 7.4
Samba: 4.7.7

*Upgrade Method:*
After compiling and installing 4.7.7 on CentOS 7.4, I copied the
'samba/private' and 'samba/var' directories from the existing 4.4.4
installation to this new installation.

Compile Options -
./configure --enable-gnutls --with-ads --disable-cups --disable-iprint
--with-fam --with-libarchive --with-regedit --with-systemd

I then ran -
      samba-tool domain tombstones expunge
and
      samba-tool dbcheck --cross-ncs --fix --yes
as suggested in the samba documents.

I also tried the whole thing with Samba 4.5.16.
Still got the same error.

What could  be the reason?
What do I need to do to fix it?

Please help.

Regards,



Indivar Nair
-- 
To unsubscribe from this list go to the following URL and read the
instructions:  https://lists.samba.org/mailman/options/samba